<%@ page contentType="text/html;charset=gbk" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzPageInfo" %>
<%@ page import="net.sz600.system.SzProperties" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.system.SzLevelNumber" %>
<%@ page import="net.sz600.organize.SzPost" %>
<%@ page import="net.sz600.organize.SzPostInfo" %>
<%@ include file="/sessionInfo.jsp"%>
<head>
<title></title>
<meta http-equiv="Content-Type" content="text/html; charset=GBK">
<link href="<%=strSkin_SESSION%>/css2007.css" rel="stylesheet" type="text/css">
</head>
<%
    //获取提交的参数
    String sPage = SzConvert.toZeroStr(request.getParameter("page"));
    String sSearch = SzConvert.strWriteData(request.getParameter("txtSearch"));

    //读取数据
    SzPost szPost = new SzPost();
    SzPostInfo szPostInfo = null;
    String sCond = "ZWGSID=" + szCOMPANY_SESSION;
    String sSortField = "ZWDJ,ZWMC";
    int iSortOrder = SzProperties.I_SortOrder_ASC;
    int iCurrentPage = 1;
    try {
        iCurrentPage =  Integer.parseInt(sPage);
    }catch(Exception e) {
    }
    Iterator iter = szPost.getArrayList(sCond, sSortField, iSortOrder, iCurrentPage, sSearch).iterator();
    SzPageInfo pageInfo = szPost.getPageInfo();
    int iPageCount = pageInfo.getPageCount();
    int iRecordCount = pageInfo.getRecordCount();
    iCurrentPage = pageInfo.getCurrentPage();
    int i = 0;
%>
<!-----上面的工具栏------>
<%@ include file="/share/title.jsp" %>
<table width="100%">
  <tr>
    <td>
    <% if (isSystemManager_SESSION) { %>    
      <input type="button" name="btnAdd" class="btnClass" value="添加" OnClick="javascript:GoUrl('update.jsp?OPERATOR=add&KEY=0');">
      <input type="button" name="btnDel" class="btnClass" value="删除" OnClick="javascript:FormSubmitConfirm(formList, 'control.jsp?OPERATOR=delete','确定要删除？');">
    <% } %>      
    </td>
  </tr>
</table>

<!-----信息列表----->
<table width="100%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <form name="formList" method="post">
  <input type="hidden" name="page" value="<%=iCurrentPage%>">
  <input type="hidden" name="txtSearch" value="<%=sSearch%>">
  <tr class="trClassTitle">
    <td width="5"><input type="checkbox" name="chkCheckAll" OnClick="javascript:CheckAll(formList, chkCheckAll, 'chkId');"></td>
    <td>职务名称</td>
    <td>职务等级</td>
    <td width="40">操作</td>
  </tr>
<%
    while (iter != null && iter.hasNext()) {
        szPostInfo = (SzPostInfo)iter.next();
        i++;
%>
<tr  onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <td width="5"><input type="checkbox" name="chkId" id="chkId" value="<%=szPostInfo.getZWID()%>"></td>
    <td><%=SzPageHelp.getLevelSpace(szPostInfo.getZWDJ())%><%=szPostInfo.getZWMC()%></td>
    <td><%=SzProperties.POST_NAME_STR[szPostInfo.getZWDJ()]%></td>
    <td><% if (isSystemManager_SESSION) { %><a href="javascript:FormSubmit(formPage,'update.jsp?OPERATOR=update&KEY=<%=szPostInfo.getZWID()%>');">修改</a><% } %></td>
  </tr>
<%
    }
    out.println(SzPageHelp.outIndexTableTr(i, SzProperties.I_PageSize,4));
%>

  </form>
</table>

<!-----下面的工具栏------>
<table width="100%">
  <form name="formPage" method="post">
  <tr>
    <td align="right">
      <%@ include file="/share/page/page_include.jsp"%>
    </td>
  </tr>
  </form>
</table>

<!-----这里包含要提交的内容--->
<form name="formHidden" method="post">
</form>
<script language="javascript">
  //第一个表示对象，form，第二个表示字符串
  function FormSubmit(oFormName, vUrl) {
  	//if (confirm("确定要删除？")) {
    	oFormName.action = vUrl;
    	oFormName.submit();
  	//}
  }
  function FormSubmitConfirm(oFormName, vUrl, vMessage) {
     if (confirm(vMessage)) {
    	oFormName.action = vUrl;
    	oFormName.submit();
     }
  }


  function GoUrl(vUrl) {
    document.location.href = vUrl;
  }

  //javascript参数的调用：
  //checkAll(formList,chkCheckAll,'chkId')
  //第一个表示对象，第二个表示对象，第三个表示字符串
  function CheckAll(oFormList, oChkCheckAll, vChkId) {
    var e;
    for (var i=0; i<oFormList.elements.length; i++) {
      e = oFormList.elements[i];
      if (e.name == vChkId) {
        e.checked = oChkCheckAll.checked;
      }
    }
  }
</script>